clang 8.0.0

Public Member Functions | List of all members
clang::CodeCompletionTUInfo Class Reference

`#include "clang/Sema/CodeCompleteConsumer.h"`

## Public Member Functions
| CodeCompletionTUInfo (std::shared_ptr< GlobalCodeCompletionAllocator > Allocator)
std::shared_ptr< GlobalCodeCompletionAllocator > | getAllocatorRef () const
CodeCompletionAllocator & | getAllocator () const
StringRef | getParentName (const DeclContext *DC)

## Detailed Description

Definition at line 636 of file CodeCompleteConsumer.h.

## Constructor & Destructor Documentation

## ◆ CodeCompletionTUInfo()

clang::CodeCompletionTUInfo::CodeCompletionTUInfo | ( | std::shared_ptr< GlobalCodeCompletionAllocator > | Allocator | ) |
| inline explicit

Definition at line 641 of file CodeCompleteConsumer.h.

## Member Function Documentation

## ◆ getAllocator()

CodeCompletionAllocator& clang::CodeCompletionTUInfo::getAllocator | ( |  | ) | const
| inline

Definition at line 649 of file CodeCompleteConsumer.h.

Referenced by clang::PrintingCodeCompleteConsumer::getAllocator().

## ◆ getAllocatorRef()

std::shared_ptr<GlobalCodeCompletionAllocator> clang::CodeCompletionTUInfo::getAllocatorRef | ( |  | ) | const
| inline

Definition at line 645 of file CodeCompleteConsumer.h.

## ◆ getParentName()

StringRef CodeCompletionTUInfo::getParentName | ( | const DeclContext * | DC | ) |

Definition at line 358 of file CodeCompleteConsumer.cpp.

The documentation for this class was generated from the following files:

- include/clang/Sema/CodeCompleteConsumer.h
- lib/Sema/CodeCompleteConsumer.cpp